coupang
GET/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound2609170000

Query a shipping location

# 01

Summary

Query a shipping location

# 02

Details

Available buyer market: Korea, Taiwan

You can query the list of shipping locations registered.

Or you can query shipping locations registered using the name or code of the shipping location.

Parameter used to query info. of shipping locations

  1. To query the list of all shipping locations registered: Input pageNum and pageSize only

  2. To query only the desired shipping locations: Input placeNames or placeCodes

Path

GET/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound

Example endpoint

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v2/vendor/shipping-place/outbound?pageSize=50&pageNum=1

URL API Name

OUTBOUND_SHIPPING_PLACE
# 03

Query parameters

NameTypeDescription
placeCodesinteger
Shipping location code
A value exposed as a Response message when creating a shipping location
Same as outboundShippingPlaceCode
placeNamesstring
Shipping location name
Same as shippingPlaceName
pageNuminteger
Query page

Min = 1, Max: Value of totalPages returned
※ Make sure to input to query a list
pageSizeinteger
Maximum number of calls per page
Default=10, Max=50
※ If not input, it is processed with the default value 10
# 04

Response body

Response message

NameTypeDescription
contentobject[]
Shipping location list data
outboundShippingPlaceCode
content[].outboundShippingPlaceCode
integer
Shipping location code
shippingPlaceName
content[].shippingPlaceName
string
Shipping location name
Input up to 50 characters
placeAddresses
content[].placeAddresses
object[]
Shipping location address
addressType
content[].placeAddresses[].addressType
string
Address type
JIBUN, ROADNAME, OVERSEA
countryCode
content[].placeAddresses[].countryCode
string
Country code, 'KR' for domestic address. Valid length: 2
companyContactNumber
content[].placeAddresses[].companyContactNumber
string
Phone number
Type Min~Max
x 2~4 digits
y 3~4 digits
z 4 digits
phoneNumber2
content[].placeAddresses[].phoneNumber2
string
Alternate phone number
(Format: Same as the phone number)
returnZipCode
content[].placeAddresses[].returnZipCode
string
Zipcode: number
5~6 digits
returnAddress
content[].placeAddresses[].returnAddress
string
Address
Up to 150 characters
returnAddressDetail
content[].placeAddresses[].returnAddressDetail
string
Detailed address
Up to 200 characters
remoteInfos
content[].remoteInfos
object[]
Shipping info for remote areas
remoteInfoId
content[].remoteInfos[].remoteInfoId
integer
Shipping info ID for remote areas
deliveryCode
content[].remoteInfos[].deliveryCode
string
Courier code
Shipping location creation API- See courier code
jejuFee
content[].remoteInfos[].jejuFee
number
Shipping fee for Jeju island (won)
notJeju
content[].remoteInfos[].notJeju
integer
Shipping fee for areas other than Jeju Island
usable
content[].remoteInfos[].usable
boolean
Whether the shipping info for remote areas is valid or not
true or false
createDate
content[].createDate
string
Date of creation
YYYY/MM/DD
usable
content[].usable
boolean
Whether it is usable
true or false
paginationobject
Paging
currentPage
pagination.currentPage
integer
Current page
Ex) 1
totalPages
pagination.totalPages
integer
Count total pages
Ex) 1000
totalElements
pagination.totalElements
integer
Count total data
Ex) 1000
countPerPage
pagination.countPerPage
integer
Count total data per page
Ex) 10, 20, 30

Response Example

{
  "content": [
    {
      "outboundShippingPlaceCode": 1111222,
      "shippingPlaceName": "상품출고지1",
      "createDate": "2019/06/24",
      "placeAddresses": [
        {
          "addressType": "JIBUN",
          "countryCode": "KR",
          "companyContactNumber": "02-1234-5678",
          "phoneNumber2": "031-1234-5678",
          "returnZipCode": "05510",
          "returnAddress": "서울특별시 송파구 신천동",
          "returnAddressDetail": "7-30, Tower출고지"
        }
      ],
      "remoteInfos": [
        {
          "remoteInfoId": 581487,
          "deliveryCode": "DIRECT",
          "jeju": 5000,
          "notJeju": 2500,
          "usable": true
        }
      ],
      "usable": true
    }
  ],
  "pagination": {
    "currentPage": 1,
    "countPerPage": 1,
    "totalPages": 1,
    "totalElements": 1
  }
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Request parameter check)

(pageNum & pageSize) or placeCodes or placeNames must be provided to call this API

Check if (pageNum & pageSize) or the value of placeCodes, placeNames was entered.